org.eclipse.net4j.util.om.log

## Class PrintLogHandler

- java.lang.Object
- - org.eclipse.net4j.util.om.log.AbstractLogHandler
  - - org.eclipse.net4j.util.om.log.PrintLogHandler

- All Implemented Interfaces:
    OMLogHandler

      public class PrintLogHandler
      extends AbstractLogHandler

  A `log handler` that appends log events to `error` and `output` streams.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PrintLogHandler` | `CONSOLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PrintLogHandler()`
    `` | `PrintLogHandler(PrintStream out, PrintStream err)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrintStream` | `getErr()`
    `PrintStream` | `getOut()`
    `protected void` | `writeLog(OMLogger logger, OMLogger.Level level, String msg, Throwable t)`

    - ### Methods inherited from class org.eclipse.net4j.util.om.log.AbstractLogHandler

      `getLogLevel, logged, setLogLevel, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSOLE

          public static final PrintLogHandler CONSOLE

  - ### Constructor Detail

    - #### PrintLogHandler

          public PrintLogHandler(PrintStream out,
                                 PrintStream err)

    - #### PrintLogHandler

          protected PrintLogHandler()

  - ### Method Detail

    - #### getOut

          public PrintStream getOut()

      Since:
        3.2

    - #### getErr

          public PrintStream getErr()

      Since:
        3.2

    - #### writeLog

          protected void writeLog(OMLogger logger,
                                  OMLogger.Level level,
                                  String msg,
                                  Throwable t)
                           throws Throwable

      Specified by:
        `writeLog` in class `AbstractLogHandler`
      Throws:
        `Throwable`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html